Name:		liblarch
Version:	3.2.0
Release:	%mkrel 2
Summary:	A python 3 library to easily handle data structures
Group:		System/Libraries
License:	GPLv3
URL:		https://live.gnome.org/liblarch
Source0:	https://github.com/getting-things-gnome/liblarch/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Provides:	%{name}-gtk = %{version}-%{release}
Obsoletes:	%{name}-gtk <= 0.1.0
%{?python_provide:%python_provide python3-liblarch}
%{?python_provide:%python_provide python3-liblarch-gtk}

%description
Liblarch is a python3 library built to easily handle data structures such as
lists, trees and directed acyclic graphs (tree where nodes can have multiple
parents). There's also a liblarch-gtk binding that will allow you to use your
data structures in Gtk.Treeview.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files
%doc AUTHORS README.md LICENSE
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}_gtk
%{python3_sitelib}/liblarch-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 3.2.0-2.mga9
+ Revision: 1824063
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 3.2.0-1.mga9
+ Revision: 1787146
- version 3.2.0
- rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 3.0.1-2.mga9
+ Revision: 1717700
- rebuild for python 3.9

* Fri Jul 10 2020 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1604246
- new version: 3.0.1

* Sun Feb 16 2020 umeabot <umeabot> 3.0-5.mga8
+ Revision: 1533443
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 3.0-4.mga8
+ Revision: 1444475
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 3.0-3.mga7
+ Revision: 1355001
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0-2.mga7
+ Revision: 1279198
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 3.0-1.mga7
+ Revision: 1216137
- Update to version 3.0

* Sat Feb 20 2016 umeabot <umeabot> 2.1.0-10.mga6
+ Revision: 971802
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 2.1.0-9.mga6
+ Revision: 892822
- make it noarch thus fixing empty debuginfo
- use new python macros to fix build

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-8.mga5
+ Revision: 741073
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.0-7.mga5
+ Revision: 726730
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-6.mga5
+ Revision: 681570
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1.0-5.mga5
+ Revision: 628301
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.0-4.mga4
+ Revision: 542687
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 2.1.0-3.mga4
+ Revision: 497867
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 2.1.0-2.mga3
+ Revision: 357624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 mitya <mitya> 2.1.0-1.mga3
+ Revision: 316487
- New version 2.1.0
- Obsolete liblarch-gtk

* Mon Apr 23 2012 mitya <mitya> 0.1.0-1.mga2
+ Revision: 233062
- imported package liblarch

